<?php

namespace Daniv04\HaciendaPackage\Providers\Contracts;

use Daniv04\HaciendaPackage\Data\ProviderResponse;

interface ProviderInterface
{
    public function sendDocument(array $payload, string $consecutiveNumber): ProviderResponse;
    public function getDocumentStatus(array $documentKey): array;
}